Overview
The LiveKit CLI (lk) is the essential developer tool for building, testing, and deploying LiveKit agents. For an introduction to its workflows, see LiveKit CLI.
GitHub repository
Source code and releases for the LiveKit CLI.
Command reference
| Page | Commands |
|---|---|
| Project management | lk cloud, lk project, lk app |
| Skills installation | lk skills |
| Agent development | lk agent init, dev, start, console |
| Agent testing | lk agent debugger, simulate |
| Deploy agents | lk agent create, deploy, promote, rollback, versions, delete, config, dockerfile |
| Manage deployed agents | lk agent status, list, logs, restart, update, secrets, update-secrets |
| Private links | lk agent private-link |
| Rooms and participants | lk room, lk token, lk dispatch |
| Egress and ingress | lk egress, lk ingress |
| Telephony | lk sip, lk number |
| Load testing | lk perf |
| Docs search | lk docs |
Run lk <command> --help for any command's options.
Setup
Install the CLI
Install the LiveKit CLI with Homebrew :
brew install livekit-cli
curl -sSL https://get.livekit.io/cli | bash
You can also download the latest precompiled binaries here .
winget install LiveKit.LiveKitCLI
You can also download the latest precompiled binaries here .
This repo uses Git LFS for embedded video resources. Please ensure git-lfs is installed on your machine before proceeding.
git clone github.com/livekit/livekit-climake install
Update the CLI
Update the CLI regularly to get new features and fixes:
Update the LiveKit CLI with Homebrew :
brew update && brew upgrade livekit-cli
curl -sSL https://get.livekit.io/cli | bash
You can also download the latest precompiled binaries here .
winget upgrade LiveKit.LiveKitCLI
You can also download the latest precompiled binaries here .
This repo uses Git LFS for embedded video resources. Please ensure git-lfs is installed on your machine before proceeding.
Before updating, make sure you've recently pulled the latest changes from main.
make install
Add a project
Link a LiveKit Cloud project, then follow the instructions in your browser:
lk cloud auth
To add a self-hosted server or another project, see Project management.
Create an agent
Scaffold an agent, talk to it locally, and deploy it to LiveKit Cloud:
lk agent init my-agent --template agent-starter-pythoncd my-agentlk agent consolelk agent create
lk agent init also offers to set up your coding agent in the new project. lk agent create registers the agent and deploys its first version. After that, run lk agent deploy to ship each new version.
Set up your coding agent
Install LiveKit's Agent Skills and the Docs MCP server into your coding agents. Run it in your project directory, or add --global to install for all projects. For options, see Skills installation.
lk skills install
App templates
The CLI creates apps from first-party templates, with your project credentials already configured. For agent templates, use lk agent init:
lk agent init my-agent --template agent-starter-python# or: --template agent-starter-node
Omit --template to choose from a list. For frontends and other apps, use lk app create.
First-party templates:
| Template Name | Language/Framework | Description |
|---|---|---|
| agent-starter-python | Python | A starter project for Python, featuring a simple voice agent implementation |
| agent-starter-react | TypeScript/Next.js | A starter app for Next.js, featuring a flexible voice AI frontend |
| agent-starter-android | Kotlin/Android | A starter project for Android, featuring a flexible voice AI frontend |
| agent-starter-swift | Swift | A starter project for Swift, featuring a flexible voice AI frontend |
| agent-starter-flutter | Flutter | A starter project for Flutter, featuring a flexible voice AI frontend |
| agent-starter-react-native | React Native/Expo | A starter project for Expo, featuring a flexible voice AI frontend |
| agent-starter-embed | TypeScript/Next.js | A starter project for a flexible voice AI that can be embedded in any website |
| token-server | Node.js/TypeScript | A hosted token server to help you prototype your mobile applications faster |
| meet | TypeScript/Next.js | An open source video conferencing app built on LiveKit Components and Next.js |
| multi-agent-python | Python | A team of writing coach agents demonstrating multi-agent workflows |
| outbound-caller-python | Python | An agent that makes outbound calls using LiveKit SIP |
LiveKit Template Index
Browse all available first-party templates.
Docs search
Search the docs, fetch pages, and search SDK source code from your terminal, which also gives coding agents up-to-date LiveKit references:
lk docs search "voice agent quickstart"
Docs search reference
Full command reference for lk docs.